## org.apache.lucene.store
Class WindowsDirectory.WindowsIndexInput

    java.lang.Object
      org.apache.lucene.store.DataInput
          org.apache.lucene.store.IndexInput
              org.apache.lucene.store.BufferedIndexInput
                  org.apache.lucene.store.WindowsDirectory.WindowsIndexInput

All Implemented Interfaces:
  Closeable, Cloneable

Enclosing class:
  WindowsDirectory

    protected static class WindowsDirectory.WindowsIndexInput

extends org.apache.lucene.store.BufferedIndexInput

Field Summary

Fields inherited from class org.apache.lucene.store.BufferedIndexInput
`buffer, BUFFER_SIZE`

Constructor Summary
`WindowsDirectory.WindowsIndexInput(File file, int bufferSize)`

Method Summary
`Object` `clone()`
`void` `close()`
`long` `length()`
`protected void` `readInternal(byte[] b, int offset, int length)`
`protected void` `seekInternal(long pos)`

Methods inherited from class org.apache.lucene.store.BufferedIndexInput
`copyBytes, flushBuffer, getBufferSize, getFilePointer, newBuffer, readByte, readBytes, readBytes, readInt, readLong, readShort, readVInt, readVLong, seek, setBufferSize`

Methods inherited from class org.apache.lucene.store.IndexInput
`skipChars, toString`

Methods inherited from class org.apache.lucene.store.DataInput
`readChars, readString, readStringStringMap, setModifiedUTF8StringsMode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowsDirectory.WindowsIndexInput

    public WindowsDirectory.WindowsIndexInput(File file,
                                              int bufferSize)
                                       throws IOException

Throws:
  `IOException`

Method Detail

### readInternal

    protected void readInternal(byte[] b,
                                int offset,
                                int length)
                         throws IOException

  Specified by:
    `readInternal` in class `org.apache.lucene.store.BufferedIndexInput`
  Throws:
    `IOException`

### seekInternal

    protected void seekInternal(long pos)
                         throws IOException

  Specified by:
    `seekInternal` in class `org.apache.lucene.store.BufferedIndexInput`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `org.apache.lucene.store.IndexInput`
  Throws:
    `IOException`

### length

    public long length()

  Specified by:
    `length` in class `org.apache.lucene.store.IndexInput`

### clone

    public Object clone()

  Overrides:
    `clone` in class `org.apache.lucene.store.BufferedIndexInput`